using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

using YSystem;
using YSystem.Controls;

namespace Template
{
    public partial class dlgUserForRegistration : YSystem.YCDbObjectDialog
    {
        public dlgUserForRegistration()
        {
            InitializeComponent();
        }

        //IXg̏
        protected override void SetControlSelections()
        {
            YCControlHelper.FillComboBox(ctl[UO[vR[h, YCListManager.Instance.Lists["[UO[v"], true);
        }

        //f[^ڂ̃oCh
        protected override void SetControlBindings()
        {
            this.BindControl(ctl[Uhc, "Text", "[Uhc");
            this.BindControl(ctl[U, "Text", "[U");
            this.BindControl(ctl[UJi, "Text", "[UJi");
            this.BindControl(ctlpX[h, "Text", "pX[h");
            this.BindControl(ctl[UO[vR[h, "SelectedValue", "[UO[vR[h");
        }

        //oChȂRg[̏
        //ibool^ڂłȂf[^ڗp̃`FbN{bNXj
        protected override void SetUnbindControls()
        {
            this.SetCheckBoxByIntegerValue(ctl폜tO, "폜tO");
        }

        //Gg`FbN
        private bool EntryCheck()
        {
            string msg;
            if (!this.Object.EntryCheck(out msg))
            {
                YCMessageBox.ShowErrorMessage(msg);
                return false;
            }
            else return true;

        }

        //Cxg
        private void dlgUserForRegistration_Load(object sender, EventArgs e)
        {
            try
            {
                this.LoadData();
            }
            catch (Exception err)
            {
                YCMessageBox.ShowErrorMessage(err.Message);
            }
        }

        private void cmdOK_Click(object sender, EventArgs e)
        {
            try
            {
                this.EndEdit();

                YCCursor.Wait();

                if (this.EntryCheck())
                {
                    this.Save();
                    YCCursor.Default();

                    this.DialogResult = DialogResult.OK;
                    this.Close();
                }
                else
                {
                    YCCursor.Default();
                }
            }
            catch (Exception err)
            {
                YCCursor.Default();
                YCMessageBox.ShowErrorMessage(err.Message);

                this.DialogResult = DialogResult.Cancel;
                this.Close();
            }
        }

        private void ctl폜tO_CheckedChanged(object sender, EventArgs e)
        {
            try
            {
                this.WriteCheckBoxByIntegerValue(ctl폜tO, "폜tO");
            }
            catch (Exception err)
            {
                YCMessageBox.ShowErrorMessage(err.Message);
            }
        }

        private void ctl[U_KeyDown(object sender, KeyEventArgs e)
        {
            try
            {
                //[UJiɎ͂B
                YCIme.KeyDownEdit(ctl[U, ctl[UJi, ImeMode.KatakanaHalf);
            }
            catch { }
        }

    }
}

